commit:     3cf6be12acacc94bce1939d97b5510efd80a6597
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  7 13:16:03 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug  7 14:10:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cf6be12

dev-python/pyyaml: Bump to 6.0.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyyaml/Manifest            |  1 +
 dev-python/pyyaml/pyyaml-6.0.2.ebuild | 63 +++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/pyyaml/Manifest b/dev-python/pyyaml/Manifest
index ce442a8e6667..0d1e7dff5af7 100644
--- a/dev-python/pyyaml/Manifest
+++ b/dev-python/pyyaml/Manifest
@@ -1,2 +1,3 @@
 DIST pyyaml-6.0.1.gh.tar.gz 120376 BLAKE2B 
c34f2169f6eb6aa718aeb53dbfaf02590e11e504d16cc85a802e1a1191f296ef9aa2501db683e1a48173ce6adeaeca09f2ab989581dcf1c1ba4004831bb4cf47
 SHA512 
1c74a92a4ad7d47854dc7bcb2e89b3c8e0b14fa815c7dbfbc22b24480dbba6c81e971c77ee384c494a960914b95f06edf943d7431925a5ed674a0ba830d258e0
+DIST pyyaml-6.0.2.gh.tar.gz 123883 BLAKE2B 
16ea7f376e45caccb461a18d4347fb06ffaf0dfd65b18e5bd7e74a14ffdce05c9c016c54bd6a501b444bd813f1bfc78999f212ca72cfabf3b125f5ab2f37167e
 SHA512 
c72665131296762521d9ae4fc1c8619946f46ea16ad98b6b8e995828f2cdbd1ed61741fc2d646753f71d95a352b36562a1302f0cb646d5705652cd24b2f10b16
 DIST pyyaml-6.0.2rc1.gh.tar.gz 123879 BLAKE2B 
9d983338c4e61fa6f5056aa7733dadc854a859baffe3ad5a353d6fc0525b6c5788df7e85ab40514ad8bdeffbccf10417701fdaac4d0985e0a20b300867b89f4f
 SHA512 
4eac37f3b367099e93c53f327f5f838d5f2f06fa636ea08f277a6cf4f570b7dc9870b35057a889d0895c2abd1bfc121d624f282610dcf90e68727973573267ef

diff --git a/dev-python/pyyaml/pyyaml-6.0.2.ebuild 
b/dev-python/pyyaml/pyyaml-6.0.2.ebuild
new file mode 100644
index 000000000000..9be8de2241fe
--- /dev/null
+++ b/dev-python/pyyaml/pyyaml-6.0.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="YAML parser and emitter for Python"
+HOMEPAGE="
+       https://pyyaml.org/wiki/PyYAML
+       https://pypi.org/project/PyYAML/
+       https://github.com/yaml/pyyaml/
+"
+SRC_URI="
+       https://github.com/yaml/pyyaml/archive/${PV/_}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
+IUSE="examples"
+
+DEPEND="
+       dev-libs/libyaml:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+src_configure() {
+       export PYYAML_FORCE_CYTHON=1
+}
+
+python_test() {
+       local -x PATH="${BUILD_DIR}/test${EPREFIX}/usr/bin:${PATH}"
+       local -x PYTHONPATH="tests/legacy_tests:${PYTHONPATH}"
+       # upstream indicates testing may pollute the package
+       cp -a "${BUILD_DIR}"/{install,test} || die
+       "${BUILD_DIR}"/test/usr/bin/python <<-EOF || die "Tests failed on 
${EPYTHON}"
+               import sys
+               import test_all
+               sys.exit(0 if test_all.main() else 1)
+       EOF
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}
+       fi
+}

Reply via email to